#3047 closed defect (fixed)

Remove docs directory from the RSB

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The documentation has been moved to rtems-docs.git repo. Remove the docs directory and asciidocs from RTEMS.

Change History (5)

comment:1 Changed on Aug 3, 2017 at 6:08:57 AM by Chris Johns

Removing the doc directory means I can remove asciidoc from the source-builder/sb directory and make the RSB smaller. This means I need to remove the asciidoc report type.

Any issues with this?

comment:2 Changed on Aug 3, 2017 at 11:58:28 AM by Gedare Bloom

No issues from me. I think it is time.

comment:3 Changed on Aug 7, 2017 at 12:05:39 AM by Chris Johns

Component: GeneralRSB

comment:4 Changed on Aug 7, 2017 at 12:08:40 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 8b96e17/rtems-source-builder:

doc: Remove in source documentation and the asciidoc package

The RSB documentation is now in ReST format and part of the RTEMS
Documentation project. See https://docs.rtems.org/.

Remove support for the GPL based asciidoc tool and remove the
asciidoc package from the RSB.

Add the Python Markdown package and update the reporter to use
Markdown for HTML generation. The resuling HTML report is a single
self contained file.

Closes #3047.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.